<template>
  <div>
    <h2 v-if="titleHtml" v-html="effectiveTitleHtml" :class="titleClass"></h2>
    <div class="font-large text-white">
      <b-button
        :href="accountManagementLink"
        block
        variant="primary"
        size="lg"
        class="text-uppercase"
        >{{ $t('account.billing') }}</b-button
      >
      <b-button
        :href="'https://app.ryzom.com/app_forum/index.php?lang=' + $i18n.locale"
        block
        class="text-uppercase"
        >{{ $t('account.forums') }}</b-button
      >
      <b-button
        :href="'https://app.ryzom.com/?lang=' + $i18n.locale"
        block
        class="text-uppercase"
        >{{ $t('account.webig') }}</b-button
      >

      <b-button
        @click="logout"
        block
        class="mt-4 text-uppercase"
        variant="danger"
        >{{ $t('account.logout') }}</b-button
      >
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import Crosslinking from '~/components/mixins/Crosslinking';
export default {
  mixins: [Crosslinking],
  props: {
    titleHtml: {
      type: String,
      default: null,
    },
    titleClass: {
      type: String,
      default: '',
    },
  },
  computed: {
    ...mapGetters('ryauth', ['isAuthenticated', 'loggedInUser']),
    username() {
      if (this.isAuthenticated) {
        return this.loggedInUser.accountName;
      }
      return 'Homin';
    },
    effectiveTitleHtml() {
      return this.titleHtml.replace('{name}', this.username);
    },
  },
  methods: {
    logout() {
      this.$store.dispatch('ryauth/logout');
    },
  },
};
</script>
